(function () {
    'use strict';
    angular.module('uniflash').directive('ufSettingsProxy', ufSettingsProxy);
    function ufSettingsProxy() {
        var directive = {
            restrict: 'E',
            controller: SettingsProxy,
            controllerAs: 'vm',
            templateUrl: 'nav/nw/settings_proxy.html',
            scope: {},
        };
        return directive;
    }
    SettingsProxy.$inject = ['ticUpdateSrv'];
    function SettingsProxy(ticUpdateSrv) {
        var vm = this;
        vm.ticUpdateSrv = ticUpdateSrv;
    }
})();
